summaryrefslogtreecommitdiffstats
path: root/scripts
diff options
context:
space:
mode:
authorJan-Simon Möller <jsmoeller@linuxfoundation.org>2016-11-14 09:35:45 +0100
committerJan-Simon Moeller <jsmoeller@linuxfoundation.org>2016-11-16 19:10:15 +0000
commitead1bded123556f3aa7d716c4e009d342b891a20 (patch)
tree5a15e6f0939dbc61330db6f1368adc51f6c583e9 /scripts
parent88e575c91213e51e5c9a548da253aa735bb22dd4 (diff)
Add feature shortcuts matching ci system
These features (shortcuts) do activate the feature set for: - the changeset builds (agl-ci-change-features) - the snapshot builds (agl-ci-snapshot-features) Change-Id: I4972f61b070836fedef8e06d32deaf07b8978dfb Signed-off-by: Jan-Simon Möller <jsmoeller@linuxfoundation.org>
Diffstat (limited to 'scripts')
-rwxr-xr-xscripts/.aglsetup_genconfig.bash21
1 files changed, 21 insertions, 0 deletions
diff --git a/scripts/.aglsetup_genconfig.bash b/scripts/.aglsetup_genconfig.bash
index 285ecee50..31520a7cc 100755
--- a/scripts/.aglsetup_genconfig.bash
+++ b/scripts/.aglsetup_genconfig.bash
@@ -123,6 +123,24 @@ function find_feature_dir() {
return 1
}
+function process-feature-shortcuts() {
+ TOCHECK=$1
+ debug "processing feature shortcut $TOCHECK"
+ if $(echo "$FEATURES" | grep -q "$TOCHECK" 2>&1 ) ; then
+ featuredir=$(find_feature_dir $TOCHECK)
+ if test -d $featuredir; then
+ tmpfeatures="$FEATURES $(cat $featuredir/included.inc)"
+ tmpfeatures_uniq=$(echo $tmpfeatures | sed -e "s/$TOCHECK//g" -e 's/ / /g' | tr "[:blank:]" "\n" | sort -u )
+ export FEATURES=$tmpfeatures_uniq
+ debug "Features used: $FEATURES"
+ else
+ error "No feature directory with this name: $TOCHECK"
+ exit 1
+ fi
+ fi
+}
+
+
function usage() {
cat <<EOF >&2
Usage: . $SCRIPT [options] [feature [feature [... ]]]
@@ -306,6 +324,9 @@ verbose "Command line arguments: ${GLOBAL_ARGS[@]}"
# the remaining args are the features
FEATURES="$@"
+process-feature-shortcuts agl-all-features
+process-feature-shortcuts agl-ci-change-features
+process-feature-shortcuts agl-ci-snapshot-features
# validate the machine list
debug "validating machines list"